<html>
<head>
<title>Ogre::GTKGLSupport Class Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1GTKGLSupport.html">GTKGLSupport</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-static-methods">Static Public Member Functions</a> &#124;
<a href="#pro-attribs">Protected Attributes</a> &#124;
<a href="#pro-static-attribs">Static Protected Attributes</a> &#124;
<a href="#pri-attribs">Private Attributes</a>  </div>
  <div class="headertitle">
<div class="title">Ogre::GTKGLSupport Class Reference</div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="Ogre::GTKGLSupport" --><!-- doxytag: inherits="Ogre::GLSupport,Singleton&lt; GTKGLSupport &gt;" -->
<p>GL support in a GTK window.  
 <a href="classOgre_1_1GTKGLSupport.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="OgreGTKGLSupport_8h_source.html">OgreGTKGLSupport.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for Ogre::GTKGLSupport:</div>
<div class="dyncontent">
<div class="center"><img src="classOgre_1_1GTKGLSupport__inherit__graph.gif" border="0" usemap="#Ogre_1_1GTKGLSupport_inherit__map" alt="Inheritance graph"/></div>
<map name="Ogre_1_1GTKGLSupport_inherit__map" id="Ogre_1_1GTKGLSupport_inherit__map">
<area shape="rect" id="node2" href="classOgre_1_1GLSupport.html" title="Ogre::GLSupport" alt="" coords="5,5,125,35"/><area shape="rect" id="node4" href="classOgre_1_1Singleton.html" title="Ogre::Singleton\&lt; GTKGLSupport \&gt;" alt="" coords="149,5,373,35"/></map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>

<p><a href="classOgre_1_1GTKGLSupport-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GTKGLSupport.html#aae1f23a6b49fa49f0043fc55c649c879">GTKGLSupport</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GTKGLSupport.html#a945b00b48e46c35d07f6224e92e3268f">addConfig</a> ()</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Add any special config values to the system.  <a href="#a945b00b48e46c35d07f6224e92e3268f"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GTKGLSupport.html#ab83dcc8d4c807945839909cac8438573">setConfigOptions</a> (const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;name, const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;value)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GTKGLSupport.html#af42f2d1cf0c9d4ad08dd182697a19228">validateConfig</a> ()</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Make sure all the extra options are valid.  <a href="#af42f2d1cf0c9d4ad08dd182697a19228"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1RenderWindow.html">RenderWindow</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GTKGLSupport.html#a97a47c0f69cf87fee09794ec55a46857">createWindow</a> (bool autoCreateWindow, <a class="el" href="classOgre_1_1GLRenderSystem.html">GLRenderSystem</a> *renderSystem, const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;windowTitle)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1RenderWindow.html">RenderWindow</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GTKGLSupport.html#a006330778de80990dbbf0b27bde4b4be">newWindow</a> (const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;name, unsigned int width, unsigned int height, unsigned int colourDepth, bool fullScreen, int left, int top, bool depthBuffer, <a class="el" href="classOgre_1_1RenderWindow.html">RenderWindow</a> *parentWindowHandle, bool vsync)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GTKGLSupport.html#a210971bd389a3f83cac848086342dd5e">start</a> ()</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Start anything special.  <a href="#a210971bd389a3f83cac848086342dd5e"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GTKGLSupport.html#ada1cd7ab977c735c1bbae6ec385c8eb9">stop</a> ()</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Stop anything special.  <a href="#ada1cd7ab977c735c1bbae6ec385c8eb9"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GTKGLSupport.html#a2d3fa8fba0933579a905d34201892da2">begin_context</a> (<a class="el" href="classOgre_1_1RenderTarget.html">RenderTarget</a> *_target=0)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GTKGLSupport.html#a32a473e88dd9c9b69d0eac0bb914f891">end_context</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GTKGLSupport.html#ad5810ecfd4497986d8427faa2e60ad60">initialiseExtensions</a> (void)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Initialises GL extensions, must be done AFTER the GL context has been established.  <a href="#ad5810ecfd4497986d8427faa2e60ad60"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GTKGLSupport.html#a36e26ed10e5f16aded817ce67e7492fd">checkMinGLVersion</a> (const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;v) const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Compare GL version numbers.  <a href="#a36e26ed10e5f16aded817ce67e7492fd"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GTKGLSupport.html#a670b7bdca00d8c60c3ddaf763b3e74b4">checkExtension</a> (const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;ext) const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Check if an extension is available.  <a href="#a670b7bdca00d8c60c3ddaf763b3e74b4"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GTKGLSupport.html#a5ad1fcb66875e86d0608eb26b6276de4">getProcAddress</a> (const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;procname)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the address of a function.  <a href="#a5ad1fcb66875e86d0608eb26b6276de4"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">Glib::RefPtr&lt; const <br class="typebreak"/>
Gdk::GL::Context &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GTKGLSupport.html#a04e34d8032488d07d9a11e5f0380aab6">getMainContext</a> () const </td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLSupport.html#abf6d4613a3d5bb3fa01cfcdd165d218f">setConfigOption</a> (const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;name, const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;value)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="group__General.html#gafba22dbf34cd07633293ddba65ee6add">ConfigOptionMap</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLSupport.html#a7cb341968e2e1fec161f0a596adfad56">getConfigOptions</a> (void)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="classOgre_1_1RenderWindow.html">RenderWindow</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLSupport.html#abb8f80ec1b1bd562672c5eb33352e9f9">newWindow</a> (const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;name, unsigned int width, unsigned int height, bool fullScreen, const <a class="el" href="group__General.html#gadccb207c184efc0a6fb2a00ab6320d19">NameValuePairList</a> *miscParams=0)=0</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLSupport.html#a46265aefdd9034f45b839c40142ad1b8">supportsPBuffers</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="classOgre_1_1GLPBuffer.html">GLPBuffer</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLSupport.html#a91f992ff69e6590b89761cfafcaa6b28">createPBuffer</a> (<a class="el" href="group__Image.html#gac8f59c884998d9f84d9ea4c66e4c29fe">PixelComponentType</a> format, size_t width, size_t height)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLSupport.html#a605553feadb63b0b40e25cda379a21d8">getGLVendor</a> (void) const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get vendor information.  <a href="#a605553feadb63b0b40e25cda379a21d8"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLSupport.html#abfca0d98cde4f5bed7f805adac5adc72">getGLVersion</a> (void) const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get version information.  <a href="#abfca0d98cde4f5bed7f805adac5adc72"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual unsigned int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLSupport.html#a379f629aae4ba8ea96943936df5c31ab">getDisplayMonitorCount</a> () const </td></tr>
<tr><td colspan="2"><h2><a name="pub-static-methods"></a>
Static Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static <a class="el" href="classOgre_1_1GTKGLSupport.html">GTKGLSupport</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GTKGLSupport.html#a50729ef52d459529d422f717d12b8264">getSingleton</a> (void)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Override standard <a class="el" href="classOgre_1_1Singleton.html" title="Template class for creating single-instance global classes.">Singleton</a> retrieval.  <a href="#a50729ef52d459529d422f717d12b8264"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static <a class="el" href="classOgre_1_1GTKGLSupport.html">GTKGLSupport</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GTKGLSupport.html#a29ae1bf3c244d51ac7cae12733b3c69d">getSingletonPtr</a> (void)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Override standard <a class="el" href="classOgre_1_1Singleton.html" title="Template class for creating single-instance global classes.">Singleton</a> retrieval.  <a href="#a29ae1bf3c244d51ac7cae12733b3c69d"></a><br/></td></tr>
<tr><td colspan="2"><h2><a name="pro-attribs"></a>
Protected Attributes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__General.html#gafba22dbf34cd07633293ddba65ee6add">ConfigOptionMap</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLSupport.html#a5b5c4f15e6fee184e059f11790cb30b5">mOptions</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="structOgre_1_1set.html">set</a>&lt; <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &gt;::type&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLSupport.html#a0f3a8ac4a209aea9ef22b5aa4a40fcd7">extensionList</a></td></tr>
<tr><td colspan="2"><h2><a name="pro-static-attribs"></a>
Static Protected Attributes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static <a class="el" href="classOgre_1_1GTKGLSupport.html">GTKGLSupport</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Singleton.html#aff0baaaed91d8505cfb72b7725ae1c37">msSingleton</a></td></tr>
<tr><td colspan="2"><h2><a name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GTKGLSupport.html#a29b121bf19ce6b1d429f9151dfa5125f">_context_ref</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">Gtk::Main&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GTKGLSupport.html#af24901b37434ed4f65e9260b0ff20288">_kit</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">Glib::RefPtr&lt; Gdk::GL::Context &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GTKGLSupport.html#aae513a127f303967243422faa478c05c">_main_context</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">Glib::RefPtr&lt; Gdk::GL::Window &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GTKGLSupport.html#ad6b503e273f4fac943bde55b33da2ce3">_main_window</a></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><p>GL support in a GTK window. </p>
<p>I made this a <a class="el" href="classOgre_1_1Singleton.html" title="Template class for creating single-instance global classes.">Singleton</a>, so that the main context can be queried by GTKWindows. </p>

<p>Definition at line <a class="el" href="OgreGTKGLSupport_8h_source.html#l00047">47</a> of file <a class="el" href="OgreGTKGLSupport_8h_source.html">OgreGTKGLSupport.h</a>.</p>
</div><hr/><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="aae1f23a6b49fa49f0043fc55c649c879"></a><!-- doxytag: member="Ogre::GTKGLSupport::GTKGLSupport" ref="aae1f23a6b49fa49f0043fc55c649c879" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1GTKGLSupport.html#aae1f23a6b49fa49f0043fc55c649c879">Ogre::GTKGLSupport::GTKGLSupport</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="a945b00b48e46c35d07f6224e92e3268f"></a><!-- doxytag: member="Ogre::GTKGLSupport::addConfig" ref="a945b00b48e46c35d07f6224e92e3268f" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1GTKGLSupport.html#a945b00b48e46c35d07f6224e92e3268f">Ogre::GTKGLSupport::addConfig</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Add any special config values to the system. </p>
<p>Must have a "Full Screen" value that is a bool and a "Video Mode" value that is a string in the form of wxh </p>

<p>Implements <a class="el" href="classOgre_1_1GLSupport.html#a5768067351c51ef11ad40dc0717251bb">Ogre::GLSupport</a>.</p>

</div>
</div>
<a class="anchor" id="a2d3fa8fba0933579a905d34201892da2"></a><!-- doxytag: member="Ogre::GTKGLSupport::begin_context" ref="a2d3fa8fba0933579a905d34201892da2" args="(RenderTarget *_target=0)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1GTKGLSupport.html#a2d3fa8fba0933579a905d34201892da2">Ogre::GTKGLSupport::begin_context</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1RenderTarget.html">RenderTarget</a> *&#160;</td>
          <td class="paramname"><em>_target</em> = <code>0</code></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="a670b7bdca00d8c60c3ddaf763b3e74b4"></a><!-- doxytag: member="Ogre::GTKGLSupport::checkExtension" ref="a670b7bdca00d8c60c3ddaf763b3e74b4" args="(const String &amp;ext) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1GTKGLSupport.html#a670b7bdca00d8c60c3ddaf763b3e74b4">Ogre::GTKGLSupport::checkExtension</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td>
          <td class="paramname"><em>ext</em></td><td>)</td>
          <td> const<code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Check if an extension is available. </p>

<p>Reimplemented from <a class="el" href="classOgre_1_1GLSupport.html#ae274ae289aba6e62d4409841bca4aab2">Ogre::GLSupport</a>.</p>

</div>
</div>
<a class="anchor" id="a36e26ed10e5f16aded817ce67e7492fd"></a><!-- doxytag: member="Ogre::GTKGLSupport::checkMinGLVersion" ref="a36e26ed10e5f16aded817ce67e7492fd" args="(const String &amp;v) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1GTKGLSupport.html#a36e26ed10e5f16aded817ce67e7492fd">Ogre::GTKGLSupport::checkMinGLVersion</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td>
          <td class="paramname"><em>v</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Compare GL version numbers. </p>

<p>Reimplemented from <a class="el" href="classOgre_1_1GLSupport.html#a5ef47f21852bfd07b040327051a08b25">Ogre::GLSupport</a>.</p>

</div>
</div>
<a class="anchor" id="a91f992ff69e6590b89761cfafcaa6b28"></a><!-- doxytag: member="Ogre::GTKGLSupport::createPBuffer" ref="a91f992ff69e6590b89761cfafcaa6b28" args="(PixelComponentType format, size_t width, size_t height)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="classOgre_1_1GLPBuffer.html">GLPBuffer</a>* <a class="el" href="classOgre_1_1GLSupport.html#a91f992ff69e6590b89761cfafcaa6b28">Ogre::GLSupport::createPBuffer</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group__Image.html#gac8f59c884998d9f84d9ea4c66e4c29fe">PixelComponentType</a>&#160;</td>
          <td class="paramname"><em>format</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>width</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>height</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [virtual, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Reimplemented in <a class="el" href="classOgre_1_1Win32GLSupport.html#ac1d74576c1cb3e29c58c021e6881a628">Ogre::Win32GLSupport</a>, <a class="el" href="classOgre_1_1OSXGLSupport.html#a5e40ca5651332c06551f1bcd1036f099">Ogre::OSXGLSupport</a>, and <a class="el" href="classOgre_1_1GLXGLSupport.html#a41214274c410d4f7e1f40d9b09d06aa7">Ogre::GLXGLSupport</a>.</p>

</div>
</div>
<a class="anchor" id="a97a47c0f69cf87fee09794ec55a46857"></a><!-- doxytag: member="Ogre::GTKGLSupport::createWindow" ref="a97a47c0f69cf87fee09794ec55a46857" args="(bool autoCreateWindow, GLRenderSystem *renderSystem, const String &amp;windowTitle)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1RenderWindow.html">RenderWindow</a>* <a class="el" href="classOgre_1_1GTKGLSupport.html#a97a47c0f69cf87fee09794ec55a46857">Ogre::GTKGLSupport::createWindow</a> </td>
          <td>(</td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>autoCreateWindow</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classOgre_1_1GLRenderSystem.html">GLRenderSystem</a> *&#160;</td>
          <td class="paramname"><em>renderSystem</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td>
          <td class="paramname"><em>windowTitle</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Implements <a class="el" href="classOgre_1_1GLSupport.html#a8d0df0814578018a78a8f890fd8ad21b">Ogre::GLSupport</a>.</p>

</div>
</div>
<a class="anchor" id="a32a473e88dd9c9b69d0eac0bb914f891"></a><!-- doxytag: member="Ogre::GTKGLSupport::end_context" ref="a32a473e88dd9c9b69d0eac0bb914f891" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1GTKGLSupport.html#a32a473e88dd9c9b69d0eac0bb914f891">Ogre::GTKGLSupport::end_context</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="a7cb341968e2e1fec161f0a596adfad56"></a><!-- doxytag: member="Ogre::GTKGLSupport::getConfigOptions" ref="a7cb341968e2e1fec161f0a596adfad56" args="(void)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="group__General.html#gafba22dbf34cd07633293ddba65ee6add">ConfigOptionMap</a>&amp; <a class="el" href="classOgre_1_1GLSupport.html#a7cb341968e2e1fec161f0a596adfad56">Ogre::GLSupport::getConfigOptions</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [virtual, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="a379f629aae4ba8ea96943936df5c31ab"></a><!-- doxytag: member="Ogre::GTKGLSupport::getDisplayMonitorCount" ref="a379f629aae4ba8ea96943936df5c31ab" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual unsigned int <a class="el" href="classOgre_1_1GLSupport.html#a379f629aae4ba8ea96943936df5c31ab">Ogre::GLSupport::getDisplayMonitorCount</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const<code> [virtual, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Gets the number of display monitors. </p>
<dl class="see"><dt><b>See also:</b></dt><dd><a class="el" href="classOgre_1_1Root.html#aee8523d20d3d69a6cf39ed0499663a52" title="Gets the number of display monitors.">Root::getDisplayMonitorCount</a> </dd></dl>
 
<p>Reimplemented in <a class="el" href="classOgre_1_1Win32GLSupport.html#a2ed2be7b36585cacf6b9cecdc0205554">Ogre::Win32GLSupport</a>.</p>

<p>Definition at line <a class="el" href="OgreGLSupport_8h_source.html#l00118">118</a> of file <a class="el" href="OgreGLSupport_8h_source.html">OgreGLSupport.h</a>.</p>

</div>
</div>
<a class="anchor" id="a605553feadb63b0b40e25cda379a21d8"></a><!-- doxytag: member="Ogre::GTKGLSupport::getGLVendor" ref="a605553feadb63b0b40e25cda379a21d8" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; <a class="el" href="classOgre_1_1GLSupport.html#a605553feadb63b0b40e25cda379a21d8">Ogre::GLSupport::getGLVendor</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const<code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get vendor information. </p>

<p>Definition at line <a class="el" href="OgreGLSupport_8h_source.html#l00085">85</a> of file <a class="el" href="OgreGLSupport_8h_source.html">OgreGLSupport.h</a>.</p>

</div>
</div>
<a class="anchor" id="abfca0d98cde4f5bed7f805adac5adc72"></a><!-- doxytag: member="Ogre::GTKGLSupport::getGLVersion" ref="abfca0d98cde4f5bed7f805adac5adc72" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; <a class="el" href="classOgre_1_1GLSupport.html#abfca0d98cde4f5bed7f805adac5adc72">Ogre::GLSupport::getGLVersion</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const<code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get version information. </p>

<p>Definition at line <a class="el" href="OgreGLSupport_8h_source.html#l00093">93</a> of file <a class="el" href="OgreGLSupport_8h_source.html">OgreGLSupport.h</a>.</p>

</div>
</div>
<a class="anchor" id="a04e34d8032488d07d9a11e5f0380aab6"></a><!-- doxytag: member="Ogre::GTKGLSupport::getMainContext" ref="a04e34d8032488d07d9a11e5f0380aab6" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Glib::RefPtr&lt;const Gdk::GL::Context&gt; <a class="el" href="classOgre_1_1GTKGLSupport.html#a04e34d8032488d07d9a11e5f0380aab6">Ogre::GTKGLSupport::getMainContext</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="a5ad1fcb66875e86d0608eb26b6276de4"></a><!-- doxytag: member="Ogre::GTKGLSupport::getProcAddress" ref="a5ad1fcb66875e86d0608eb26b6276de4" args="(const String &amp;procname)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1GTKGLSupport.html#a5ad1fcb66875e86d0608eb26b6276de4">Ogre::GTKGLSupport::getProcAddress</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td>
          <td class="paramname"><em>procname</em></td><td>)</td>
          <td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get the address of a function. </p>

<p>Implements <a class="el" href="classOgre_1_1GLSupport.html#a8178f7c197f702846d213ade4669bfa1">Ogre::GLSupport</a>.</p>

</div>
</div>
<a class="anchor" id="a50729ef52d459529d422f717d12b8264"></a><!-- doxytag: member="Ogre::GTKGLSupport::getSingleton" ref="a50729ef52d459529d422f717d12b8264" args="(void)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="classOgre_1_1GTKGLSupport.html">GTKGLSupport</a>&amp; <a class="el" href="classOgre_1_1GTKGLSupport.html#a50729ef52d459529d422f717d12b8264">Ogre::GTKGLSupport::getSingleton</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Override standard <a class="el" href="classOgre_1_1Singleton.html" title="Template class for creating single-instance global classes.">Singleton</a> retrieval. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>Why do we do this? Well, it's because the <a class="el" href="classOgre_1_1Singleton.html" title="Template class for creating single-instance global classes.">Singleton</a> implementation is in a .h file, which means it gets compiled into anybody who includes it. This is needed for the <a class="el" href="classOgre_1_1Singleton.html" title="Template class for creating single-instance global classes.">Singleton</a> template to work, but we actually only want it compiled into the implementation of the class based on the <a class="el" href="classOgre_1_1Singleton.html" title="Template class for creating single-instance global classes.">Singleton</a>, not all of them. If we don't change this, we get link errors when trying to use the Singleton-based class from an outside dll. </dd></dl>
<dl class="user"><dt><b></b></dt><dd>This method just delegates to the template version anyway, but the implementation stays in this single compilation unit, preventing link errors. </dd></dl>

<p>Reimplemented from <a class="el" href="classOgre_1_1Singleton.html#a7757bd7ac3702c144502e53ad6491888">Ogre::Singleton&lt; GTKGLSupport &gt;</a>.</p>

</div>
</div>
<a class="anchor" id="a29ae1bf3c244d51ac7cae12733b3c69d"></a><!-- doxytag: member="Ogre::GTKGLSupport::getSingletonPtr" ref="a29ae1bf3c244d51ac7cae12733b3c69d" args="(void)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="classOgre_1_1GTKGLSupport.html">GTKGLSupport</a>* <a class="el" href="classOgre_1_1GTKGLSupport.html#a29ae1bf3c244d51ac7cae12733b3c69d">Ogre::GTKGLSupport::getSingletonPtr</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Override standard <a class="el" href="classOgre_1_1Singleton.html" title="Template class for creating single-instance global classes.">Singleton</a> retrieval. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>Why do we do this? Well, it's because the <a class="el" href="classOgre_1_1Singleton.html" title="Template class for creating single-instance global classes.">Singleton</a> implementation is in a .h file, which means it gets compiled into anybody who includes it. This is needed for the <a class="el" href="classOgre_1_1Singleton.html" title="Template class for creating single-instance global classes.">Singleton</a> template to work, but we actually only want it compiled into the implementation of the class based on the <a class="el" href="classOgre_1_1Singleton.html" title="Template class for creating single-instance global classes.">Singleton</a>, not all of them. If we don't change this, we get link errors when trying to use the Singleton-based class from an outside dll. </dd></dl>
<dl class="user"><dt><b></b></dt><dd>This method just delegates to the template version anyway, but the implementation stays in this single compilation unit, preventing link errors. </dd></dl>

<p>Reimplemented from <a class="el" href="classOgre_1_1Singleton.html#a7ab51c46521b89723d6186a52a7e0d7b">Ogre::Singleton&lt; GTKGLSupport &gt;</a>.</p>

</div>
</div>
<a class="anchor" id="ad5810ecfd4497986d8427faa2e60ad60"></a><!-- doxytag: member="Ogre::GTKGLSupport::initialiseExtensions" ref="ad5810ecfd4497986d8427faa2e60ad60" args="(void)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1GTKGLSupport.html#ad5810ecfd4497986d8427faa2e60ad60">Ogre::GTKGLSupport::initialiseExtensions</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Initialises GL extensions, must be done AFTER the GL context has been established. </p>

<p>Reimplemented from <a class="el" href="classOgre_1_1GLSupport.html#a04cb4a54ce276a4088339aa4d97b6e0e">Ogre::GLSupport</a>.</p>

</div>
</div>
<a class="anchor" id="a006330778de80990dbbf0b27bde4b4be"></a><!-- doxytag: member="Ogre::GTKGLSupport::newWindow" ref="a006330778de80990dbbf0b27bde4b4be" args="(const String &amp;name, unsigned int width, unsigned int height, unsigned int colourDepth, bool fullScreen, int left, int top, bool depthBuffer, RenderWindow *parentWindowHandle, bool vsync)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1RenderWindow.html">RenderWindow</a>* <a class="el" href="classOgre_1_1GTKGLSupport.html#a006330778de80990dbbf0b27bde4b4be">Ogre::GTKGLSupport::newWindow</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td>
          <td class="paramname"><em>name</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">unsigned int&#160;</td>
          <td class="paramname"><em>width</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">unsigned int&#160;</td>
          <td class="paramname"><em>height</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">unsigned int&#160;</td>
          <td class="paramname"><em>colourDepth</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>fullScreen</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>left</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>top</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>depthBuffer</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classOgre_1_1RenderWindow.html">RenderWindow</a> *&#160;</td>
          <td class="paramname"><em>parentWindowHandle</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>vsync</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="abb8f80ec1b1bd562672c5eb33352e9f9"></a><!-- doxytag: member="Ogre::GTKGLSupport::newWindow" ref="abb8f80ec1b1bd562672c5eb33352e9f9" args="(const String &amp;name, unsigned int width, unsigned int height, bool fullScreen, const NameValuePairList *miscParams=0)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="classOgre_1_1RenderWindow.html">RenderWindow</a>* <a class="el" href="classOgre_1_1GLSupport.html#abb8f80ec1b1bd562672c5eb33352e9f9">Ogre::GLSupport::newWindow</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td>
          <td class="paramname"><em>name</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">unsigned int&#160;</td>
          <td class="paramname"><em>width</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">unsigned int&#160;</td>
          <td class="paramname"><em>height</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>fullScreen</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="group__General.html#gadccb207c184efc0a6fb2a00ab6320d19">NameValuePairList</a> *&#160;</td>
          <td class="paramname"><em>miscParams</em> = <code>0</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [pure virtual, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Creates a new rendering window. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>This method creates a new rendering window as specified by the paramteters. The rendering system could be responible for only a single window (e.g. in the case of a game), or could be in charge of multiple ones (in the case of a level editor). The option to create the window as a child of another is therefore given. This method will create an appropriate subclass of <a class="el" href="classOgre_1_1RenderWindow.html" title="Manages the target rendering window.">RenderWindow</a> depending on the API and platform implementation. </dd></dl>
<dl class="user"><dt><b></b></dt><dd>After creation, this window can be retrieved using <a class="el" href="classOgre_1_1RenderSystem.html#a313d7af5018e65802d96aa7124700db7" title="Returns a pointer to the render target with the passed name, or NULL if that render target cannot be ...">getRenderTarget()</a>. </dd></dl>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">name</td><td>The name of the window. Used in other methods later like setRenderTarget and getRenderTarget. </td></tr>
    <tr><td class="paramname">width</td><td>The width of the new window. </td></tr>
    <tr><td class="paramname">height</td><td>The height of the new window. </td></tr>
    <tr><td class="paramname">fullScreen</td><td>Specify true to make the window full screen without borders, title bar or menu bar. </td></tr>
    <tr><td class="paramname">miscParams</td><td>A NameValuePairList describing the other parameters for the new rendering window. Options are case sensitive. Unrecognised parameters will be ignored silently. These values might be platform dependent, but these are present for all platforms unless indicated otherwise: <table class="doxtable">
<tr>
<td><b>Key</b> </td><td><b>Type/Values</b> </td><td><b>Default</b> </td><td><b>Description</b> </td><td><b>Notes</b>  </td></tr>
<tr>
<td>title </td><td><a class="el" href="classOgre_1_1Any.html" title="Variant type that can hold Any other type.">Any</a> string </td><td><a class="el" href="classOgre_1_1RenderTarget.html" title="A &#39;canvas&#39; which can receive the results of a rendering operation.">RenderTarget</a> name </td><td>The title of the window that will appear in the title bar </td><td>&#160;  </td></tr>
<tr>
<td>colourDepth </td><td>16, 32 </td><td>Desktop depth </td><td>Colour depth of the resulting rendering window; only applies if fullScreen </td><td>Win32 Specific  </td></tr>
<tr>
<td>left </td><td>Positive integers </td><td>Centred </td><td>Screen x coordinate from left </td><td>&#160;  </td></tr>
<tr>
<td>top </td><td>Positive integers </td><td>Centred </td><td>Screen y coordinate from left </td><td>&#160;  </td></tr>
<tr>
<td>depthBuffer </td><td>true, false </td><td>true </td><td>Use depth buffer </td><td>DirectX9 specific  </td></tr>
<tr>
<td>externalWindowHandle </td><td>Win32: HWND as integer<br/>
 GLX: poslong:posint:poslong (display*:screen:windowHandle) or poslong:posint:poslong:poslong (display*:screen:windowHandle:XVisualInfo*)<br/>
 OS X: WindowRef for Carbon or NSWindow for Cocoa address as an integer iOS: UIWindow address as an integer  </td><td>0 (none) </td><td>External window handle, for embedding the OGRE render in an existing window </td><td>&#160;  </td></tr>
<tr>
<td>externalGLControl </td><td>true, false </td><td>false </td><td>Let the external window control OpenGL i.e. don't select a pixel format for the window, do not change v-sync and do not swap buffer. When set to true, the calling application is responsible of OpenGL initialization and buffer swapping. It should also create an OpenGL context for its own rendering, <a class="el" href="namespaceOgre.html">Ogre</a> will create one for its use. Then the calling application must also enable <a class="el" href="namespaceOgre.html">Ogre</a> OpenGL context before calling any <a class="el" href="namespaceOgre.html">Ogre</a> function and restore its OpenGL context after these calls. </td><td>OpenGL specific  </td></tr>
<tr>
<td>externalGLContext </td><td>Context as Unsigned Long </td><td>0 (create own context) </td><td>Use an externally created GL context </td><td>OpenGL Specific  </td></tr>
<tr>
<td>parentWindowHandle </td><td>Win32: HWND as integer<br/>
 GLX: poslong:posint:poslong (display*:screen:windowHandle) or poslong:posint:poslong:poslong (display*:screen:windowHandle:XVisualInfo*) </td><td>0 (none) </td><td>Parent window handle, for embedding the OGRE in a child of an external window </td><td>&#160;  </td></tr>
<tr>
<td>macAPI </td><td>String: "cocoa" or "carbon" </td><td>"carbon" </td><td>Specifies the type of rendering window on the Mac Platform. </td><td>Mac OS X Specific </td><td>&#160;  </td></tr>
<tr>
<td>macAPICocoaUseNSView </td><td>bool "true" or "false" </td><td>"false" </td><td>On the Mac platform the most diffused method to embed OGRE in a custom application is to use Interface Builder and add to the interface an instance of <a class="el" href="interfaceOgreView.html">OgreView</a>. The pointer to this instance is then used as "externalWindowHandle". However, there are cases where you are NOT using Interface Builder and you get the Cocoa NSView* of an existing interface. For example, this is happens when you want to render into a Java/AWT interface. In short, by setting this flag to "true" the <a class="el" href="classOgre_1_1Root.html#a537b7d1d0937f799cfe4936f6b672620">Ogre::Root::createRenderWindow</a> interprets the "externalWindowHandle" as a NSView* instead of an OgreView*. See <a class="el" href="OgreOSXCocoaView_8h.html">OgreOSXCocoaView.h</a>/mm.  </td><td>Mac OS X Specific </td><td>&#160;  </td></tr>
<tr>
<td>contentScalingFactor </td><td>Positive Float greater than 1.0 </td><td>The default content scaling factor of the screen </td><td>Specifies the CAEAGLLayer content scaling factor. Only supported on iOS 4 or greater. This can be useful to limit the resolution of the OpenGL ES backing store. For example, the iPhone 4's native resolution is 960 x 640. Windows are always 320 x 480, if you would like to limit the display to 720 x 480, specify 1.5 as the scaling factor.  </td><td>iOS Specific </td><td>&#160;  </td></tr>
<tr>
<td>externalViewHandle </td><td>UIView pointer as an integer </td><td>0 </td><td>External view handle, for rendering OGRE render in an existing view </td><td>iOS Specific </td><td>&#160;  </td></tr>
<tr>
<td>externalViewControllerHandle </td><td>UIViewController pointer as an integer </td><td>0 </td><td>External view controller handle, for embedding OGRE in an existing view controller </td><td>iOS Specific </td><td>&#160;  </td></tr>
<tr>
<td>FSAA </td><td>Positive integer (usually 0, 2, 4, 8, 16) </td><td>0 </td><td>Full screen antialiasing factor </td><td>&#160;  </td></tr>
<tr>
<td>FSAAHint </td><td>Depends on <a class="el" href="classOgre_1_1RenderSystem.html" title="Defines the functionality of a 3D API.">RenderSystem</a> and hardware. Currently supports:<br/>
 "Quality": on systems that have an option to prefer higher AA quality over speed, use it </td><td>Blank </td><td>Full screen antialiasing hint </td><td>&#160;  </td></tr>
<tr>
<td>displayFrequency </td><td>Refresh rate in Hertz (e.g. 60, 75, 100) </td><td>Desktop vsync rate </td><td>Display frequency rate, for fullscreen mode </td><td>&#160;  </td></tr>
<tr>
<td>vsync </td><td>true, false </td><td>false </td><td>Synchronize buffer swaps to monitor vsync, eliminating tearing at the expense of a fixed frame rate </td><td>&#160;  </td></tr>
<tr>
<td>vsyncInterval </td><td>1, 2, 3, 4 </td><td>1 </td><td>If vsync is enabled, the minimum number of vertical blanks that should occur between renders. For example if vsync is enabled, the refresh rate is 60 and this is set to 2, then the frame rate will be locked at 30. </td><td>&#160;  </td></tr>
<tr>
<td>border </td><td>none, fixed, resize </td><td>resize </td><td>The type of window border (in windowed mode) </td><td>&#160;  </td></tr>
<tr>
<td>outerDimensions </td><td>true, false </td><td>false </td><td>Whether the width/height is expressed as the size of the outer window, rather than the content area </td><td>&#160;  </td></tr>
<tr>
<td>useNVPerfHUD </td><td>true, false </td><td>false </td><td>Enable the use of nVidia NVPerfHUD </td><td>&#160;  </td></tr>
<tr>
<td>gamma </td><td>true, false </td><td>false </td><td>Enable hardware conversion from linear colour space to gamma colour space on rendering to the window. </td><td>&#160;  </td></tr>
<tr>
<td>enableDoubleClick </td><td>true, false </td><td>false </td><td>Enable the window to keep track and transmit double click messages. </td><td>Win32 Specific  </td></tr>
</table>
</td></tr>
  </table>
  </dd>
</dl>
 
<p>Implemented in <a class="el" href="classOgre_1_1Win32GLSupport.html#a59c0a6d0411c6c337c57da4418a8308d">Ogre::Win32GLSupport</a>, <a class="el" href="classOgre_1_1OSXGLSupport.html#a52f3e85313c4bb7e076fa9e5b0454389">Ogre::OSXGLSupport</a>, <a class="el" href="classOgre_1_1GLXGLSupport.html#ab1312c4ac8d42d19d76724a7bec380a5">Ogre::GLXGLSupport</a>, and <a class="el" href="classOgre_1_1SDLGLSupport.html#a3cd7f1eef4ea8b8c842054c09540392b">Ogre::SDLGLSupport</a>.</p>

</div>
</div>
<a class="anchor" id="abf6d4613a3d5bb3fa01cfcdd165d218f"></a><!-- doxytag: member="Ogre::GTKGLSupport::setConfigOption" ref="abf6d4613a3d5bb3fa01cfcdd165d218f" args="(const String &amp;name, const String &amp;value)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="classOgre_1_1GLSupport.html#abf6d4613a3d5bb3fa01cfcdd165d218f">Ogre::GLSupport::setConfigOption</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td>
          <td class="paramname"><em>name</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td>
          <td class="paramname"><em>value</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [virtual, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Reimplemented in <a class="el" href="classOgre_1_1Win32GLSupport.html#a43ab2c268ec21fab487ebc0ffdbe0271">Ogre::Win32GLSupport</a>, and <a class="el" href="classOgre_1_1GLXGLSupport.html#a2e5252c7b29e1989cc510285929353e1">Ogre::GLXGLSupport</a>.</p>

</div>
</div>
<a class="anchor" id="ab83dcc8d4c807945839909cac8438573"></a><!-- doxytag: member="Ogre::GTKGLSupport::setConfigOptions" ref="ab83dcc8d4c807945839909cac8438573" args="(const String &amp;name, const String &amp;value)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1GTKGLSupport.html#ab83dcc8d4c807945839909cac8438573">Ogre::GTKGLSupport::setConfigOptions</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td>
          <td class="paramname"><em>name</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td>
          <td class="paramname"><em>value</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="a210971bd389a3f83cac848086342dd5e"></a><!-- doxytag: member="Ogre::GTKGLSupport::start" ref="a210971bd389a3f83cac848086342dd5e" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1GTKGLSupport.html#a210971bd389a3f83cac848086342dd5e">Ogre::GTKGLSupport::start</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Start anything special. </p>

<p>Implements <a class="el" href="classOgre_1_1GLSupport.html#a879f0cb8c332e623613a9837bb994800">Ogre::GLSupport</a>.</p>

</div>
</div>
<a class="anchor" id="ada1cd7ab977c735c1bbae6ec385c8eb9"></a><!-- doxytag: member="Ogre::GTKGLSupport::stop" ref="ada1cd7ab977c735c1bbae6ec385c8eb9" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1GTKGLSupport.html#ada1cd7ab977c735c1bbae6ec385c8eb9">Ogre::GTKGLSupport::stop</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Stop anything special. </p>

<p>Implements <a class="el" href="classOgre_1_1GLSupport.html#a8900222e86476441b4742ceb1fd37293">Ogre::GLSupport</a>.</p>

</div>
</div>
<a class="anchor" id="a46265aefdd9034f45b839c40142ad1b8"></a><!-- doxytag: member="Ogre::GTKGLSupport::supportsPBuffers" ref="a46265aefdd9034f45b839c40142ad1b8" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual bool <a class="el" href="classOgre_1_1GLSupport.html#a46265aefdd9034f45b839c40142ad1b8">Ogre::GLSupport::supportsPBuffers</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [virtual, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Reimplemented in <a class="el" href="classOgre_1_1Win32GLSupport.html#a1fdbb26a63f85157bee76ebfd3c0a600">Ogre::Win32GLSupport</a>, and <a class="el" href="classOgre_1_1OSXGLSupport.html#a208ec75ef634c6cfbdf2a796b91e3923">Ogre::OSXGLSupport</a>.</p>

</div>
</div>
<a class="anchor" id="af42f2d1cf0c9d4ad08dd182697a19228"></a><!-- doxytag: member="Ogre::GTKGLSupport::validateConfig" ref="af42f2d1cf0c9d4ad08dd182697a19228" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> <a class="el" href="classOgre_1_1GTKGLSupport.html#af42f2d1cf0c9d4ad08dd182697a19228">Ogre::GTKGLSupport::validateConfig</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Make sure all the extra options are valid. </p>
<dl class="return"><dt><b>Returns:</b></dt><dd>string with error message </dd></dl>

<p>Implements <a class="el" href="classOgre_1_1GLSupport.html#a5c715eb0c3cad1f1dd89ddf8acc7867b">Ogre::GLSupport</a>.</p>

</div>
</div>
<hr/><h2>Member Data Documentation</h2>
<a class="anchor" id="a29b121bf19ce6b1d429f9151dfa5125f"></a><!-- doxytag: member="Ogre::GTKGLSupport::_context_ref" ref="a29b121bf19ce6b1d429f9151dfa5125f" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int <a class="el" href="classOgre_1_1GTKGLSupport.html#a29b121bf19ce6b1d429f9151dfa5125f">Ogre::GTKGLSupport::_context_ref</a><code> [private]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreGTKGLSupport_8h_source.html#l00104">104</a> of file <a class="el" href="OgreGTKGLSupport_8h_source.html">OgreGTKGLSupport.h</a>.</p>

</div>
</div>
<a class="anchor" id="af24901b37434ed4f65e9260b0ff20288"></a><!-- doxytag: member="Ogre::GTKGLSupport::_kit" ref="af24901b37434ed4f65e9260b0ff20288" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Gtk::Main <a class="el" href="classOgre_1_1GTKGLSupport.html#af24901b37434ed4f65e9260b0ff20288">Ogre::GTKGLSupport::_kit</a><code> [private]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreGTKGLSupport_8h_source.html#l00105">105</a> of file <a class="el" href="OgreGTKGLSupport_8h_source.html">OgreGTKGLSupport.h</a>.</p>

</div>
</div>
<a class="anchor" id="aae513a127f303967243422faa478c05c"></a><!-- doxytag: member="Ogre::GTKGLSupport::_main_context" ref="aae513a127f303967243422faa478c05c" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Glib::RefPtr&lt;Gdk::GL::Context&gt; <a class="el" href="classOgre_1_1GTKGLSupport.html#aae513a127f303967243422faa478c05c">Ogre::GTKGLSupport::_main_context</a><code> [private]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreGTKGLSupport_8h_source.html#l00108">108</a> of file <a class="el" href="OgreGTKGLSupport_8h_source.html">OgreGTKGLSupport.h</a>.</p>

</div>
</div>
<a class="anchor" id="ad6b503e273f4fac943bde55b33da2ce3"></a><!-- doxytag: member="Ogre::GTKGLSupport::_main_window" ref="ad6b503e273f4fac943bde55b33da2ce3" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Glib::RefPtr&lt;Gdk::GL::Window&gt; <a class="el" href="classOgre_1_1GTKGLSupport.html#ad6b503e273f4fac943bde55b33da2ce3">Ogre::GTKGLSupport::_main_window</a><code> [private]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreGTKGLSupport_8h_source.html#l00109">109</a> of file <a class="el" href="OgreGTKGLSupport_8h_source.html">OgreGTKGLSupport.h</a>.</p>

</div>
</div>
<a class="anchor" id="a0f3a8ac4a209aea9ef22b5aa4a40fcd7"></a><!-- doxytag: member="Ogre::GTKGLSupport::extensionList" ref="a0f3a8ac4a209aea9ef22b5aa4a40fcd7" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structOgre_1_1set.html">set</a>&lt;<a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&gt;::type <a class="el" href="classOgre_1_1GLSupport.html#a0f3a8ac4a209aea9ef22b5aa4a40fcd7">Ogre::GLSupport::extensionList</a><code> [protected, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreGLSupport_8h_source.html#l00128">128</a> of file <a class="el" href="OgreGLSupport_8h_source.html">OgreGLSupport.h</a>.</p>

</div>
</div>
<a class="anchor" id="a5b5c4f15e6fee184e059f11790cb30b5"></a><!-- doxytag: member="Ogre::GTKGLSupport::mOptions" ref="a5b5c4f15e6fee184e059f11790cb30b5" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__General.html#gafba22dbf34cd07633293ddba65ee6add">ConfigOptionMap</a> <a class="el" href="classOgre_1_1GLSupport.html#a5b5c4f15e6fee184e059f11790cb30b5">Ogre::GLSupport::mOptions</a><code> [protected, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreGLSupport_8h_source.html#l00125">125</a> of file <a class="el" href="OgreGLSupport_8h_source.html">OgreGLSupport.h</a>.</p>

</div>
</div>
<a class="anchor" id="aff0baaaed91d8505cfb72b7725ae1c37"></a><!-- doxytag: member="Ogre::GTKGLSupport::msSingleton" ref="aff0baaaed91d8505cfb72b7725ae1c37" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1GTKGLSupport.html">GTKGLSupport</a> * <a class="el" href="classOgre_1_1Singleton.html">Ogre::Singleton</a>&lt; <a class="el" href="classOgre_1_1GTKGLSupport.html">GTKGLSupport</a>  &gt;::<a class="el" href="classOgre_1_1Singleton.html#aff0baaaed91d8505cfb72b7725ae1c37">msSingleton</a><code> [static, protected, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreSingleton_8h_source.html#l00075">75</a> of file <a class="el" href="OgreSingleton_8h_source.html">OgreSingleton.h</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="OgreGTKGLSupport_8h_source.html">OgreGTKGLSupport.h</a></li>
</ul>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:49:17
</p>
</body>
</html>
